package com.ruoyi.project.shiftmgr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.shiftmgr.mapper.TShiftAnnualPlanMapper;
import com.ruoyi.project.shiftmgr.domain.TShiftAnnualPlan;
import com.ruoyi.project.shiftmgr.service.ITShiftAnnualPlanService;

/**
 * 年度计划Service业务层处理
 *
 * @author ruoyi
 * @date 2022-08-02
 */
@Service
public class TShiftAnnualPlanServiceImpl implements ITShiftAnnualPlanService
{
    @Autowired
    private TShiftAnnualPlanMapper tShiftAnnualPlanMapper;

    /**
     * 查询年度计划
     *
     * @param id 年度计划ID
     * @return 年度计划
     */
    @Override
    public TShiftAnnualPlan selectTShiftAnnualPlanById(Long id)
    {
        return tShiftAnnualPlanMapper.selectTShiftAnnualPlanById(id);
    }

    /**
     * 查询年度计划列表
     *
     * @param tShiftAnnualPlan 年度计划
     * @return 年度计划
     */
    @Override
    public List<TShiftAnnualPlan> selectTShiftAnnualPlanList(TShiftAnnualPlan tShiftAnnualPlan)
    {
        return tShiftAnnualPlanMapper.selectTShiftAnnualPlanList(tShiftAnnualPlan);
    }

    /**
     * 新增年度计划
     *
     * @param tShiftAnnualPlan 年度计划
     * @return 结果
     */
    @Override
    public int insertTShiftAnnualPlan(TShiftAnnualPlan tShiftAnnualPlan)
    {
        return tShiftAnnualPlanMapper.insertTShiftAnnualPlan(tShiftAnnualPlan);
    }

    /**
     * 修改年度计划
     *
     * @param tShiftAnnualPlan 年度计划
     * @return 结果
     */
    @Override
    public int updateTShiftAnnualPlan(TShiftAnnualPlan tShiftAnnualPlan)
    {
        return tShiftAnnualPlanMapper.updateTShiftAnnualPlan(tShiftAnnualPlan);
    }

    /**
     * 批量删除年度计划
     *
     * @param ids 需要删除的年度计划ID
     * @return 结果
     */
    @Override
    public int deleteTShiftAnnualPlanByIds(Long[] ids)
    {
        return tShiftAnnualPlanMapper.deleteTShiftAnnualPlanByIds(ids);
    }

    /**
     * 删除年度计划信息
     *
     * @param id 年度计划ID
     * @return 结果
     */
    @Override
    public int deleteTShiftAnnualPlanById(Long id)
    {
        return tShiftAnnualPlanMapper.deleteTShiftAnnualPlanById(id);
    }
}
